# $Revision: 1.32.4.5 $, $Date: 2007/05/01 19:16:12 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	A C++ interface for glib library
Summary(pl):	Interfejs C++ dla biblioteki glib
Name:		glibmm
Version:	2.10.11
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glibmm/2.10/%{name}-%{version}.tar.bz2
# Source0-md5:	35805840556c5f28379190ed158aa40c
URL:		http://gtkmm.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.10.0
BuildRequires:	libsigc++-devel >= 1:2.0.10
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.10.0
Requires:	libsigc++ >= 1:2.0.10
Obsoletes:	gtkmm-glib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A C++ interface for glib library.

%description -l pl
Interfejs C++ dla biblioteki glib.

%package devel
Summary:	Header files for glibmm library
Summary(pl):	Pliki nagwkowe biblioteki glibmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.10.0
Requires:	libsigc++-devel >= 1:2.0.10
Requires:	libstdc++-devel
Obsoletes:	gtkmm-glib-devel

%description devel
Header files for glibmm library.

%description devel -l pl
Pliki nagwkowe biblioteki glibmm.

%package static
Summary:	Static glibmm library
Summary(pl):	Statyczna biblioteka glibmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	gtkmm-glib-static

%description static
Static glibmm library.

%description static -l pl
Statyczna biblioteka glibmm.

%package doc
Summary:	Reference documentation and examples for glibmm
Summary(pl):	Szczegowa dokumentacja i przykady dla glibmm
Group:		Documentation

%description doc
Reference documentation and examples for glibmm.

%description doc -l pl
Szczegowa dokumentacja i przykady dla glibmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-fulldocs \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gtkmm_docdir=%{_gtkdocdir}/%{name}-2.4 \
	glibmm_docdir=%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog CHANGES NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%dir %{_libdir}/%{name}-2.4
%{_libdir}/%{name}-2.4/include
%dir %{_libdir}/%{name}-2.4/proc
%{_libdir}/%{name}-2.4/proc/m4
%{_libdir}/%{name}-2.4/proc/pm
%attr(755,root,root) %{_libdir}/%{name}-2.4/proc/gmmproc
%attr(755,root,root) %{_libdir}/%{name}-2.4/proc/*.pl
%{_includedir}/%{name}-2.4
%{_pkgconfigdir}/*.pc
%{_aclocaldir}/*.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files doc
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}-2.4
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glibmm.spec,v $
Revision 1.32.4.5  2007/05/01 19:16:12  megabajt
- updated to 2.10.11

Revision 1.32.4.4  2007/04/18 10:41:59  megabajt
- updated to 2.10.10

Revision 1.32.4.3  2006/05/19 15:52:15  freetz
- 2.10.3 (fixes serious regression from 2.10.2)

Revision 1.32.4.2  2006/05/18 20:37:56  baggins
- release 2
- strict reqs

Revision 1.32.4.1  2006/05/15 13:11:17  baggins
- merged from HEAD

Revision 1.35  2006/04/14 15:09:44  freetz
- merged from DEVEL and updated to 2.10.1

Revision 1.32.2.2  2006/03/08 22:54:43  freetz
- 2.10.0

Revision 1.32.2.1  2006/01/29 11:09:22  freetz
- 2.9.1

Revision 1.34  2006/03/05 00:32:51  qboosh
- updated required glib2 version, simplified static_libs bcond

Revision 1.33  2006/02/03 22:26:24  qboosh
- updated to 2.8.4

Revision 1.32  2005/12/16 10:33:45  freetz
- 2.8.3

Revision 1.31  2005/10/21 06:51:34  freetz
- 2.8.1

Revision 1.30  2005/09/07 16:44:14  freetz
- merged from DEVEL and updated to 2.8.0

Revision 1.29.2.2  2005/08/18 16:59:47  paladine
- updated to 2.7.3

Revision 1.29.2.1  2005/07/11 12:27:01  freetz
- 2.7.1
